%define pkg_name        Class-DBI-Plugin-CountSearch
%define pkg_version     1.02
%define rpm_pkg_version 1.02
%define rpm_pkg_release 2.n0i.2


Summary:       Basic COUNT(*) functionality for Class::DBI
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/H/HO/HOLBROOK/%{pkg_name}-%{pkg_version}.tgz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(Class::DBI) >= 0.95
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Class::DBI) >= 0.95}


%description
This plugin adds support for COUNT(*) results directly from the database
without having to load the records into an iterator or array. It provides
'count_search' and 'count_search_like' which take arguments exactly like
Class::DBI::search().


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.02-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
